Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We ignore this fact via no_timestamp scope anyway so we can avoid importing it completely. The base can be taken from  

https://github.com/theforeman/foreman/pull/3465

Related issues:

Related to Foreman - Bug #13819: Fact imports fail with: Validation failed: F... Closed 02/20/2016

History

#1 - 04/26/2016 11:34 AM - Marek Hulán

- Related to Bug #13819: Fact imports fail with: Validation failed: Fact name has already been taken added

#2 - 04/27/2016 11:49 AM - Michael Brown

Marek Hulán wrote:

We ignore this fact via no_timestamp scope anyway so we can avoid importing it completely. The base can be taken from  

https://github.com/theforeman/foreman/pull/3465

 Tested commit from Marek in our environment: https://github.com/ares/foreman/commit/36b39ba7f1dc004a44d7c1f0ef0f1993a18e9519

New facts added successfully.  Hoping this can be pulled into the 1.10.4 maintenance release, as we're planning a large rollout based on Foreman

1.10 and Katello 2.4.

Thanks for your help with this Marek!

/Mike

#3 - 04/28/2016 02:25 AM - Marek Hulán

I believe this comment belongs to #13819, anyway I'll set the target there and we'll see.

#4 - 03/16/2018 08:40 PM - Michael Brown

Marek Hulán wrote:

I believe this comment belongs to #13819, anyway I'll set the target there and we'll see.

 Can we close this issue, since it was fixed in #13819 and we're well past Foreman 1.10... ;-)

Thanks!

#5 - 03/19/2018 07:12 AM - Marek Hulán

- Difficulty set to easy

I think we're still saving _timestamp fact to DB and using :no_timestamp_facts scope for hiding it 

https://github.com/theforeman/foreman/search?utf8=%E2%9C%93&q=no_timestamp_facts&type=

05/20/2024 1/2

https://github.com/theforeman/foreman/blob/develop/app/models/fact_name.rb#L11
https://github.com/theforeman/foreman/pull/3465
https://github.com/theforeman/foreman/blob/develop/app/models/fact_name.rb#L11
https://github.com/theforeman/foreman/pull/3465
https://github.com/ares/foreman/commit/36b39ba7f1dc004a44d7c1f0ef0f1993a18e9519
https://projects.theforeman.org/issues/13819
https://projects.theforeman.org/issues/13819
https://projects.theforeman.org/issues/13819
https://github.com/theforeman/foreman/search?utf8=%E2%9C%93&q=no_timestamp_facts&type=


so this should remain open

#6 - 03/19/2018 08:57 AM - Ohad Levy

AFAIR we use the timestamp fact as a means to keep the last compile field (

https://github.com/theforeman/foreman/blob/develop/app/models/host/base.rb#L151) - I'm not sure if we really use that so ymmv
